#ifndef CCAMERA_H
#define CCAMERA_H

class CCamera
{
public:
	CVector3 Position;
	CVector3 Observation;
	CVector3 Haut;

	void (*DisplayFunc)(void);

	long TempsLastFrame;

	bool EstAvance, EstRecule;

	CCamera() : Position(0, 25, 10),
				Observation(0, 0, 0), Haut(0, 0, 1)
	{ EstAvance = EstRecule = false; TempsLastFrame = 0; DisplayFunc = 0; }
	
	void TournePosition(float Angle, const CVector3& Axe);
	void Avance(float Delta);
	void CamLookAt();
};

extern CCamera gCamera;

#endif